Package org.eclipse.ecf.remoteservice

# Interface IRemoteServiceProxy

public interface IRemoteServiceProxy

Since:
  3.2
Restriction:
  This interface is not intended to be implemented by clients.

## Method Summary

Modifier and Type
Method
Description
`IRemoteService`
`getRemoteService()`
Get IRemoteService associated with this proxy
`IRemoteServiceReference`
`getRemoteServiceReference()`
Get IRemoteService reference associated with this proxy.

## Method Details

### getRemoteService

IRemoteService getRemoteService()
Get IRemoteService associated with this proxy

Returns:
  IRemoteService for this proxy. May be `null` if no IRemoteService available for proxy.

### getRemoteServiceReference

IRemoteServiceReference getRemoteServiceReference()
Get IRemoteService reference associated with this proxy.

Returns:
  IRemoteServiceReference for this proxy. May be `null` if no IRemoteServiceReference associated with this proxy.
Since:
  4.0